FreeMat

- Main Page
- Related Pages

vtkXMLPStructuredGridReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPStructuredGridReader reads the PVTK XML StructuredGrid file format. This reads the parallel format's summary file and then uses vtkXMLStructuredGridReader to read data from the individual StructuredGrid piece files. Streaming is supported. The standard extension for this reader's file format is "pvts".

To create an instance of class vtkXMLPStructuredGridReader, simply invoke its constructor as follows

      obj = vtkXMLPStructuredGridReader

# Methods

The class vtkXMLPStructuredGridReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPStructuredGridReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPStructuredGridReader = obj.NewInstance ()`
- `vtkXMLPStructuredGridReader = obj.SafeDownCast (vtkObject o)`
- `vtkStructuredGrid = obj.GetOutput ()` - Get the reader's output.
- `vtkStructuredGrid = obj.GetOutput (int idx)` - Needed for ParaView